commit d35eeeca7b27bb153d61e5668d52efff6432cf66
Author: Gaius Mulley <gaiusmod2@gmail.com>
Date:   Tue Dec 3 15:58:27 2024 +0000

    [PATCH] modula2: M2MetaError.{def,mod} and P2SymBuild.mod further cleanup
    
    Further cleanups and improve the wording of an error message.
    
    gcc/m2/ChangeLog:
    
            * gm2-compiler/M2MetaError.mod (op): Corrected ordering.
            * gm2-compiler/P2SymBuild.def: Remove comment.
            * gm2-compiler/P2SymBuild.mod (GetComparison): Replace
            the word less with fewer.
    
    (cherry picked from commit 961c02313f7e7a918e06851964ba54ea2e342cfa)
    
    Signed-off-by: Gaius Mulley <gaiusmod2@gmail.com>

diff --git a/gcc/m2/gm2-compiler/M2MetaError.mod b/gcc/m2/gm2-compiler/M2MetaError.mod
index e9f3127925c..14df6457d64 100644
--- a/gcc/m2/gm2-compiler/M2MetaError.mod
+++ b/gcc/m2/gm2-compiler/M2MetaError.mod
@@ -1684,7 +1684,7 @@ END copySym ;
 
 
 (*
-   op := {'!'|'a'|'c'|'d'|'k'|'q'|'t'|'p'|'n'|'s'|'u'|
+   op := {'!'|'a'|'c'|'d'|'k'|'n'|'p'|'q'|'s'|'t'|'u'|
           'A'|'B'|'C'|'D'|'E'|'F'|'G'|'H'|'K'|'M'|'N'|
           'O'|'P'|'Q'|'R'|'S'|'T'|'U'|'V'|'W'|'X'|'Y'|'Z'} then =:
 *)
@@ -1707,11 +1707,11 @@ BEGIN
       'd':  doDesc (eb, sym, bol) |
       'k':  unquotedKeyword (eb) ;
             DEC (eb.ini) |
-      'q':  doQualified (eb, sym, bol) |
-      't':  doType (eb, sym, bol) |
-      'p':  popColor (eb) |
       'n':  doNumber (eb, sym, bol) |
+      'p':  popColor (eb) |
+      'q':  doQualified (eb, sym, bol) |
       's':  doSkipType (eb, sym, bol) |
+      't':  doType (eb, sym, bol) |
       'u':  eb.quotes := FALSE |
       'A':  eb.type := aborta ;
             seenAbort := TRUE |
diff --git a/gcc/m2/gm2-compiler/P2SymBuild.def b/gcc/m2/gm2-compiler/P2SymBuild.def
index 45b52f7f02d..ae736886e8a 100644
--- a/gcc/m2/gm2-compiler/P2SymBuild.def
+++ b/gcc/m2/gm2-compiler/P2SymBuild.def
@@ -21,15 +21,6 @@ along with GNU Modula-2; see the file COPYING3.  If not see
 
 DEFINITION MODULE P2SymBuild ;
 
-(*
-   Title      : P2SymBuild
-   Author     : Gaius Mulley
-   Date       : 24/6/87
-   LastEdit   : Sat Dec  9 11:10:57 EST 1989
-   System     : UNIX (GNU Modula-2)
-   Description: pass 2 symbol creation.
-*)
-
 
 (*
    BlockStart - tokno is the module/procedure/implementation/definition token
diff --git a/gcc/m2/gm2-compiler/P2SymBuild.mod b/gcc/m2/gm2-compiler/P2SymBuild.mod
index 9edb911949e..2196b584eb5 100644
--- a/gcc/m2/gm2-compiler/P2SymBuild.mod
+++ b/gcc/m2/gm2-compiler/P2SymBuild.mod
@@ -2055,7 +2055,7 @@ PROCEDURE GetComparison (left, right: CARDINAL) : String ;
 BEGIN
    IF left < right
    THEN
-      RETURN InitString ('less')
+      RETURN InitString ('fewer')
    ELSIF left > right
    THEN
       RETURN InitString ('more')

